Koha does not work after upgrade Ubuntu 18.04 LTS

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Koha does not work after upgrade Ubuntu 18.04 LTS

Sven Halm
Hello everybody!

I have a big problem with my Koha installation for the small library in my primary school. After an update it does not run any more. With my technical experience I am now at the end and hope you can help me. I hope I got the right mailing list.

What is used?
Operating System: Ubuntu Server 18.04 LTS
Koha: 18.05.01 stable
OPAC: https://lesehoehle.foerderverein-hellwegschule.de

What's the matter?
Every few weeks I upgrade Ubuntu and Koha, if something is pending. I recorded the last upgrade yesterday, but since then I can't use Koha anymore.

When calling the website I get the following error message:

The proxy server received an invalid response from an upstream server.
The proxy server could not handle the request GET /index.html.
Reason: Error reading from remote server

A matching error message seems to be in the Plack-error log:

Error while loading /etc/koha/plack.psgi: Can't load application from file "/usr/share/koha/api/v1/app.pl": [JSON::Validator] GET http://json-schema.org/draft-04/schema == Connection refused at /usr/share/perl5/JSON/Validator.pm line 274.
Compilation failed in require at (eval 1524) line 1.
Child process 15572 exited with status 111


Can you help me?

Thank you and many greetings
Sven

_______________________________________________
Koha-devel mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-devel
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|

Re: Koha does not work after upgrade Ubuntu 18.04 LTS

Michael Kuhn
Hi Sven

 > I have a big problem with my Koha installation for the small library
 > in my primary school. After an update it does not run any more. With
 > my technical experience I am now at the end and hope you can help me.
 > I hope I got the right mailing list.
 >
 > *What is used?*
 > Operating System: Ubuntu Server 18.04 LTS

I don't know if it's the reason, but however Ubuntu 18.04 (Bionic
Beaver) is not among the officially supported operating systems for Koha.

See https://koha-community.org/download-koha/

Best wishes: Michael
--
Geschäftsführer · Diplombibliothekar BBS, Informatiker eidg. Fachausweis
Admin Kuhn GmbH · Pappelstrasse 20 · 4123 Allschwil · Schweiz
T 0041 (0)61 261 55 61 · E [hidden email] · W www.adminkuhn.ch
_______________________________________________
Koha-devel mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-devel
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|

Re: Koha does not work after upgrade Ubuntu 18.04 LTS

Sven Halm
Hi, Michael,

thank you for the quick answer!

I was forced to upgrade my Ubutu 14.04 LTS version some time ago (about half a year ago). The 18.04 LTS was then installed, which also worked without problems until yesterday. I didn't think about the Operating System, as Koha will be present at the 18.04.

Since I don't have the possibility to downgrade or get access to my Koha installation, how can I update my Koha data and settings to a Ubuntu 16 LTS version now?

Or is there another possibility?

Many greetings
Sven

----- Ursprüngliche Mail -----
Von: "Michael Kuhn" <[hidden email]>
An: [hidden email]
Gesendet: Sonntag, 1. Juli 2018 10:16:01
Betreff: Re: [Koha-devel] Koha does not work after upgrade Ubuntu 18.04 LTS

Hi Sven

 > I have a big problem with my Koha installation for the small library
 > in my primary school. After an update it does not run any more. With
 > my technical experience I am now at the end and hope you can help me.
 > I hope I got the right mailing list.
 >
 > *What is used?*
 > Operating System: Ubuntu Server 18.04 LTS

I don't know if it's the reason, but however Ubuntu 18.04 (Bionic
Beaver) is not among the officially supported operating systems for Koha.

See https://koha-community.org/download-koha/

Best wishes: Michael
--
Geschäftsführer · Diplombibliothekar BBS, Informatiker eidg. Fachausweis
Admin Kuhn GmbH · Pappelstrasse 20 · 4123 Allschwil · Schweiz
T 0041 (0)61 261 55 61 · E [hidden email] · W www.adminkuhn.ch
_______________________________________________
Koha-devel mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-devel
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
_______________________________________________
Koha-devel mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-devel
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|

Re: Koha does not work after upgrade Ubuntu 18.04 LTS

Josef Moravec
In reply to this post by Sven Halm
Hi Sven,

If you don't need REST API, you can temporarely disable it by commenting out lines with "api" in file /etc/koha/plack.psgi and reloading koha service.

Then try to investigate what is going on, from the log record it looks like you are not able to access url http://json-schema.org/draft-04/schema. Try to access it through wget or curl and investigate what is going on.

Regards

Josef

ne 1. 7. 2018 v 10:06 odesílatel Sven Halm <[hidden email]> napsal:
Hello everybody!

I have a big problem with my Koha installation for the small library in my primary school. After an update it does not run any more. With my technical experience I am now at the end and hope you can help me. I hope I got the right mailing list.

What is used?
Operating System: Ubuntu Server 18.04 LTS
Koha: 18.05.01 stable

What's the matter?
Every few weeks I upgrade Ubuntu and Koha, if something is pending. I recorded the last upgrade yesterday, but since then I can't use Koha anymore.

When calling the website I get the following error message:

The proxy server received an invalid response from an upstream server.
The proxy server could not handle the request GET /index.html.
Reason: Error reading from remote server

A matching error message seems to be in the Plack-error log:

Error while loading /etc/koha/plack.psgi: Can't load application from file "/usr/share/koha/api/v1/app.pl": [JSON::Validator] GET http://json-schema.org/draft-04/schema == Connection refused at /usr/share/perl5/JSON/Validator.pm line 274.
Compilation failed in require at (eval 1524) line 1.
Child process 15572 exited with status 111


Can you help me?

Thank you and many greetings
Sven
_______________________________________________
Koha-devel mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-devel
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/

_______________________________________________
Koha-devel mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-devel
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|

Re: Koha does not work after upgrade Ubuntu 18.04 LTS

Tomas Cohen Arazi
Sven, you should perform an
$ sudo apt dist-upgrade

Also, tell use the JSON::Validator library version:

$ sudo apt install pmtools
$ pmvers JSON::Validator

Regards

El lun., 2 jul. 2018 a las 3:01, Josef Moravec (<[hidden email]>) escribió:
Hi Sven,

If you don't need REST API, you can temporarely disable it by commenting out lines with "api" in file /etc/koha/plack.psgi and reloading koha service.

Then try to investigate what is going on, from the log record it looks like you are not able to access url http://json-schema.org/draft-04/schema. Try to access it through wget or curl and investigate what is going on.

Regards

Josef

ne 1. 7. 2018 v 10:06 odesílatel Sven Halm <[hidden email]> napsal:
Hello everybody!

I have a big problem with my Koha installation for the small library in my primary school. After an update it does not run any more. With my technical experience I am now at the end and hope you can help me. I hope I got the right mailing list.

What is used?
Operating System: Ubuntu Server 18.04 LTS
Koha: 18.05.01 stable

What's the matter?
Every few weeks I upgrade Ubuntu and Koha, if something is pending. I recorded the last upgrade yesterday, but since then I can't use Koha anymore.

When calling the website I get the following error message:

The proxy server received an invalid response from an upstream server.
The proxy server could not handle the request GET /index.html.
Reason: Error reading from remote server

A matching error message seems to be in the Plack-error log:

Error while loading /etc/koha/plack.psgi: Can't load application from file "/usr/share/koha/api/v1/app.pl": [JSON::Validator] GET http://json-schema.org/draft-04/schema == Connection refused at /usr/share/perl5/JSON/Validator.pm line 274.
Compilation failed in require at (eval 1524) line 1.
Child process 15572 exited with status 111


Can you help me?

Thank you and many greetings
Sven
_______________________________________________
Koha-devel mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-devel
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
_______________________________________________
Koha-devel mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-devel
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
--
Tomás Cohen Arazi
Theke Solutions (https://theke.io)
✆ +54 9351 3513384
GPG: B2F3C15F

_______________________________________________
Koha-devel mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-devel
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|

Re: Koha does not work after upgrade Ubuntu 18.04 LTS

Sven Halm
Hi all,

thanks to all of you!

I can't solve this problem an my ubuntu 18.04 installation so i moved it to a fresh installation of ubuntu 16.04 lts. 

So this thread could be closed.

Regards
Sven


Von: "Tomas Cohen Arazi" <[hidden email]>
An: "Josef Moravec" <[hidden email]>
CC: "Sven Halm" <[hidden email]>, "koha-devel" <[hidden email]>
Gesendet: Montag, 2. Juli 2018 20:34:11
Betreff: Re: [Koha-devel] Koha does not work after upgrade Ubuntu 18.04 LTS

Sven, you should perform an
$ sudo apt dist-upgrade

Also, tell use the JSON::Validator library version:

$ sudo apt install pmtools
$ pmvers JSON::Validator

Regards

El lun., 2 jul. 2018 a las 3:01, Josef Moravec (<[hidden email]>) escribió:
Hi Sven,

If you don't need REST API, you can temporarely disable it by commenting out lines with "api" in file /etc/koha/plack.psgi and reloading koha service.

Then try to investigate what is going on, from the log record it looks like you are not able to access url http://json-schema.org/draft-04/schema. Try to access it through wget or curl and investigate what is going on.

Regards

Josef

ne 1. 7. 2018 v 10:06 odesílatel Sven Halm <[hidden email]> napsal:
Hello everybody!

I have a big problem with my Koha installation for the small library in my primary school. After an update it does not run any more. With my technical experience I am now at the end and hope you can help me. I hope I got the right mailing list.

What is used?
Operating System: Ubuntu Server 18.04 LTS
Koha: 18.05.01 stable

What's the matter?
Every few weeks I upgrade Ubuntu and Koha, if something is pending. I recorded the last upgrade yesterday, but since then I can't use Koha anymore.

When calling the website I get the following error message:

The proxy server received an invalid response from an upstream server.
The proxy server could not handle the request GET /index.html.
Reason: Error reading from remote server

A matching error message seems to be in the Plack-error log:

Error while loading /etc/koha/plack.psgi: Can't load application from file "/usr/share/koha/api/v1/app.pl": [JSON::Validator] GET http://json-schema.org/draft-04/schema == Connection refused at /usr/share/perl5/JSON/Validator.pm line 274.
Compilation failed in require at (eval 1524) line 1.
Child process 15572 exited with status 111


Can you help me?

Thank you and many greetings
Sven
_______________________________________________
Koha-devel mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-devel
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
_______________________________________________
Koha-devel mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-devel
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
--
Tomás Cohen Arazi
Theke Solutions (https://theke.io)
✆ +54 9351 3513384
GPG: B2F3C15F


_______________________________________________
Koha-devel mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-devel
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/